RLEDITHER(1)

NAME
rledither - Floyd Steinberg dither an image to the given colors.

SYNOPSIS
rledither [ -e edge_factor ] [ -l nchan length ] -{tf} mapfile [ -o outfile ] [ infile ]

DESCRIPTION
This program accepts an RLE(5) file and a file of colormap entries, and dithers the image to those colors. Edge enhancement is also performed, if specified.

OPTIONS

-e edge_factor
    An edge_factor of zero means no edge enhancement (the default). A value of 1.0 looks pretty good for most images.

-l nchan length
    Specifies the number of channels in the colormap, and the number of entries in each channel. The default is 3 channels of 256 entries, which is appropriate for an eight bit color display.

-{tf} mapfile
    The mapfile must contain at least nchan*length values in the range 0 to 255. The -t flag causes mapfile to be read as R G B R G B R G B... The -f flag implies the entries are listed as R R R... G G G... B B B...

-o outfile
    If specified, the output will be written to this file. If outfile is "-", or if it is not specified, the output will be written to the standard output stream.

infile
    The input will be read from this file. If infile is "-" or is not specified, the input will be read from the standard input stream.

SEE ALSO
mcut(1), rlehdr(1), rlequant(1), urt(1), RLE(5).

AUTHOR
Rod G. Bogart, University of Michigan

BUGS
It should read colormaps from RLE files, too. For the moment, edit the output from rlehdr -m.